# PDF/A

PDF/A is an ISO standard specifically designed for long-term archiving. Because of this, certain features are not supported and must be avoided. For example, the use of color-alpha values or opacity properties is not allowed as transparency is not supported in PDF/A.

Currently we only have a save handler for the PDF/A-1A/B standard.&#x20;

<pre class="language-php"><code class="lang-php">&#x3C;?php
$html = "Hello World, I am a pdf/a-1b conform pdf!";

$service = new \Typesetsh\HtmlToPdf();
<strong>//$service->saveHandler['pdf_a'] = new \Typesetsh\HtmlToPdf\A_1A_Web();
</strong>$service->saveHandler['pdf_a'] = new \Typesetsh\HtmlToPdf\A_1B_Web();

$result = $service->render($html, \Typesetsh\UriResolver::all());
$result->toFile(__DIR__.'/hello.pdf');
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.typeset.sh/advanced-guides/pdf-standards/pdf-a.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
